
CXX      := g++
CXXFLAGS := -O2
SOURCE   := WFObj.cc driver.cc
OBJS     := $(SOURCE:.cc=.o)
LDFLAGS  := -lGL
TARGET   := driver

all: $(TARGET)

$(TARGET): $(OBJS)
	$(CXX) -o $@ $^ $(LDFLAGS)

%.o: %.cc %.hh
	$(CXX) -c -o $@ $< $(CXXFLAGS)

clean:
	-rm -f *~ *.o $(TARGET)
